Package org.pgpainless.provider

# Class ProviderFactory

java.lang.Object
org.pgpainless.provider.ProviderFactory

Direct Known Subclasses:
  `BouncyCastleProviderFactory`

public abstract class ProviderFactory extends Object
Allow the use of different `Provider` implementations to provide cryptographic primitives by setting a `ProviderFactory` singleton. By default, the class is initialized with a `BouncyCastleProviderFactory`.
To make use of your own custom `Provider`, call `setFactory(ProviderFactory)`, passing your own custom `ProviderFactory` instance.

## Constructor Summary

Constructors
Constructor
Description
`ProviderFactory()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract Provider`
`_getProvider()`
`protected String`
`_getProviderName()`
`static ProviderFactory`
`getFactory()`
`static Provider`
`getProvider()`
`static String`
`getProviderName()`
`static void`
`setFactory(ProviderFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProviderFactory

public ProviderFactory()

## Method Details

### _getProvider

protected abstract Provider _getProvider()

### _getProviderName

protected String _getProviderName()

### setFactory

public static void setFactory(ProviderFactory factory)

### getFactory

public static ProviderFactory getFactory()

### getProvider

public static Provider getProvider()

### getProviderName

public static String getProviderName()